<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:40 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MachineMappingDAO (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MachineMappingDAO (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MachineMappingDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/dao/LocationDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dao/MachineMappingDAO.html" target="_top">Frames</a></li>
<li><a href="MachineMappingDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.dao</div>
<h2 title="Interface MachineMappingDAO" class="title">Interface MachineMappingDAO</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../io/mosip/registration/dao/impl/MachineMappingDAOImpl.html" title="class in io.mosip.registration.dao.impl">MachineMappingDAOImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">MachineMappingDAO</span></pre>
<div class="block">This DAO interface updates the mapping of users and devices to the
 Registration Center Machine</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>YASWANTH S, Brahmananda Reddy</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/MachineMappingDAO.html#addedMappedDevice-java.util.List-">addedMappedDevice</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/RegCentreMachineDevice.html" title="class in io.mosip.registration.entity">RegCentreMachineDevice</a>&gt;&nbsp;regCentreMachineDevices)</code>
<div class="block">Saves all the devices that are mapped to the machine</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/MachineMappingDAO.html#deleteUnMappedDevice-java.util.List-">deleteUnMappedDevice</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/RegCentreMachineDevice.html" title="class in io.mosip.registration.entity">RegCentreMachineDevice</a>&gt;&nbsp;regCentreMachineDevices)</code>
<div class="block">Deletes the device mappings from the machine</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/entity/UserMachineMapping.html" title="class in io.mosip.registration.entity">UserMachineMapping</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/MachineMappingDAO.html#findByID-io.mosip.registration.entity.id.UserMachineMappingID-">findByID</a></span>(<a href="../../../../io/mosip/registration/entity/id/UserMachineMappingID.html" title="class in io.mosip.registration.entity.id">UserMachineMappingID</a>&nbsp;userID)</code>
<div class="block">UserMachineMapping exists or not</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/RegDeviceType.html" title="class in io.mosip.registration.entity">RegDeviceType</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/MachineMappingDAO.html#getAllDeviceTypes--">getAllDeviceTypes</a></span>()</code>
<div class="block">Get all the active device types</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/RegCentreMachineDevice.html" title="class in io.mosip.registration.entity">RegCentreMachineDevice</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/MachineMappingDAO.html#getAllMappedDevices-java.lang.String-java.lang.String-">getAllMappedDevices</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;centerId,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;machineId)</code>
<div class="block">Get all the devices associated with the given centerId and machineId</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/RegCenterDevice.html" title="class in io.mosip.registration.entity">RegCenterDevice</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/MachineMappingDAO.html#getAllValidDevicesByCenterId-java.lang.String-">getAllValidDevicesByCenterId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;centerId)</code>
<div class="block">Get all the devices associated with the given centerId</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/MachineMappingDAO.html#getCenterID-java.lang.String-">getCenterID</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;stationID)</code>
<div class="block">Get center ID using stationID</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/RegDeviceMaster.html" title="class in io.mosip.registration.entity">RegDeviceMaster</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/MachineMappingDAO.html#getDevicesMappedToRegCenter-java.lang.String-">getDevicesMappedToRegCenter</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</code>
<div class="block">Fetches all the devices mapped to the registration center based on the
 language code</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/MachineMappingDAO.html#getStationID-java.lang.String-">getStationID</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;MacAddress)</code>
<div class="block">Get Station ID by using mac address</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/UserMachineMapping.html" title="class in io.mosip.registration.entity">UserMachineMapping</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/MachineMappingDAO.html#getUserMappingDetails-java.lang.String-">getUserMappingDetails</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;machineId)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/UserDetail.html" title="class in io.mosip.registration.entity">UserDetail</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/MachineMappingDAO.html#getUsers-java.lang.String-">getUsers</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ceneterID)</code>
<div class="block">Get List of users through centerId</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/MachineMappingDAO.html#isValidDevice-io.mosip.registration.constants.DeviceTypes-java.lang.String-">isValidDevice</a></span>(<a href="../../../../io/mosip/registration/constants/DeviceTypes.html" title="enum in io.mosip.registration.constants">DeviceTypes</a>&nbsp;deviceType,
             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serialNo)</code>
<div class="block">Method to check the device is valid</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/MachineMappingDAO.html#save-io.mosip.registration.entity.UserMachineMapping-">save</a></span>(<a href="../../../../io/mosip/registration/entity/UserMachineMapping.html" title="class in io.mosip.registration.entity">UserMachineMapping</a>&nbsp;user)</code>
<div class="block">save user to UserMachineMapping</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dao/MachineMappingDAO.html#update-io.mosip.registration.entity.UserMachineMapping-">update</a></span>(<a href="../../../../io/mosip/registration/entity/UserMachineMapping.html" title="class in io.mosip.registration.entity">UserMachineMapping</a>&nbsp;user)</code>
<div class="block">update user to UserMachineMapping</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getStationID-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStationID</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getStationID(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;MacAddress)
             throws <a href="../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></pre>
<div class="block">Get Station ID by using mac address</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>MacAddress</code> - machine address</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>station ID</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></code> - Registration Base Checked Exception</dd>
</dl>
</li>
</ul>
<a name="getCenterID-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCenterID</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCenterID(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;stationID)
            throws <a href="../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></pre>
<div class="block">Get center ID using stationID</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>stationID</code> - station ID</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>center ID</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></code> - Registration Base Checked Exception</dd>
</dl>
</li>
</ul>
<a name="getUsers-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUsers</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/UserDetail.html" title="class in io.mosip.registration.entity">UserDetail</a>&gt;&nbsp;getUsers(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ceneterID)
                   throws <a href="../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></pre>
<div class="block">Get List of users through centerId</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ceneterID</code> - center id</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of Users</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></code> - Registration Base Checked Exception</dd>
</dl>
</li>
</ul>
<a name="save-io.mosip.registration.entity.UserMachineMapping-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;save(<a href="../../../../io/mosip/registration/entity/UserMachineMapping.html" title="class in io.mosip.registration.entity">UserMachineMapping</a>&nbsp;user)</pre>
<div class="block">save user to UserMachineMapping</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user</code> - user machine mapping</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>created</dd>
</dl>
</li>
</ul>
<a name="update-io.mosip.registration.entity.UserMachineMapping-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;update(<a href="../../../../io/mosip/registration/entity/UserMachineMapping.html" title="class in io.mosip.registration.entity">UserMachineMapping</a>&nbsp;user)</pre>
<div class="block">update user to UserMachineMapping</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user</code> - entity</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>update information</dd>
</dl>
</li>
</ul>
<a name="findByID-io.mosip.registration.entity.id.UserMachineMappingID-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByID</h4>
<pre><a href="../../../../io/mosip/registration/entity/UserMachineMapping.html" title="class in io.mosip.registration.entity">UserMachineMapping</a>&nbsp;findByID(<a href="../../../../io/mosip/registration/entity/id/UserMachineMappingID.html" title="class in io.mosip.registration.entity.id">UserMachineMappingID</a>&nbsp;userID)</pre>
<div class="block">UserMachineMapping exists or not</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>userID</code> - entity</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>user</dd>
</dl>
</li>
</ul>
<a name="getAllDeviceTypes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllDeviceTypes</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/RegDeviceType.html" title="class in io.mosip.registration.entity">RegDeviceType</a>&gt;&nbsp;getAllDeviceTypes()</pre>
<div class="block">Get all the active device types</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of DeviceType</dd>
</dl>
</li>
</ul>
<a name="getAllValidDevicesByCenterId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllValidDevicesByCenterId</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/RegCenterDevice.html" title="class in io.mosip.registration.entity">RegCenterDevice</a>&gt;&nbsp;getAllValidDevicesByCenterId(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;centerId)</pre>
<div class="block">Get all the devices associated with the given centerId</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>centerId</code> - the id of <a href="../../../../io/mosip/registration/entity/RegistrationCenter.html" title="class in io.mosip.registration.entity"><code>RegistrationCenter</code></a> for which devices have to be
            fetched</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of <a href="../../../../io/mosip/registration/entity/RegCenterDevice.html" title="class in io.mosip.registration.entity"><code>RegCenterDevice</code></a></dd>
</dl>
</li>
</ul>
<a name="getAllMappedDevices-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllMappedDevices</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/RegCentreMachineDevice.html" title="class in io.mosip.registration.entity">RegCentreMachineDevice</a>&gt;&nbsp;getAllMappedDevices(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;centerId,
                                                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;machineId)</pre>
<div class="block">Get all the devices associated with the given centerId and machineId</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>centerId</code> - the id of <a href="../../../../io/mosip/registration/entity/RegistrationCenter.html" title="class in io.mosip.registration.entity"><code>RegistrationCenter</code></a> for which devices have to be
            fetched</dd>
<dd><code>machineId</code> - the id of <a href="../../../../io/mosip/registration/entity/MachineMaster.html" title="class in io.mosip.registration.entity"><code>MachineMaster</code></a> for which devices have to be
            fetched</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of <a href="../../../../io/mosip/registration/entity/RegCentreMachineDevice.html" title="class in io.mosip.registration.entity"><code>RegCentreMachineDevice</code></a></dd>
</dl>
</li>
</ul>
<a name="addedMappedDevice-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addedMappedDevice</h4>
<pre>void&nbsp;addedMappedDevice(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/RegCentreMachineDevice.html" title="class in io.mosip.registration.entity">RegCentreMachineDevice</a>&gt;&nbsp;regCentreMachineDevices)</pre>
<div class="block">Saves all the devices that are mapped to the machine</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>regCentreMachineDevices</code> - the list of devices mapped to the machine</dd>
</dl>
</li>
</ul>
<a name="deleteUnMappedDevice-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteUnMappedDevice</h4>
<pre>void&nbsp;deleteUnMappedDevice(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/RegCentreMachineDevice.html" title="class in io.mosip.registration.entity">RegCentreMachineDevice</a>&gt;&nbsp;regCentreMachineDevices)</pre>
<div class="block">Deletes the device mappings from the machine</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>regCentreMachineDevices</code> - the list of devices to be removed from the machine</dd>
</dl>
</li>
</ul>
<a name="isValidDevice-io.mosip.registration.constants.DeviceTypes-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isValidDevice</h4>
<pre>boolean&nbsp;isValidDevice(<a href="../../../../io/mosip/registration/constants/DeviceTypes.html" title="enum in io.mosip.registration.constants">DeviceTypes</a>&nbsp;deviceType,
                      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serialNo)</pre>
<div class="block">Method to check the device is valid</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>deviceType</code> - device type</dd>
<dd><code>serialNo</code> - serial number</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>It returns true when record found for the device else false</dd>
</dl>
</li>
</ul>
<a name="getUserMappingDetails-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUserMappingDetails</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/UserMachineMapping.html" title="class in io.mosip.registration.entity">UserMachineMapping</a>&gt;&nbsp;getUserMappingDetails(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;machineId)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>machineId</code> - machine ID</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>It returns the list of users against the machine</dd>
</dl>
</li>
</ul>
<a name="getDevicesMappedToRegCenter-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getDevicesMappedToRegCenter</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/RegDeviceMaster.html" title="class in io.mosip.registration.entity">RegDeviceMaster</a>&gt;&nbsp;getDevicesMappedToRegCenter(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</pre>
<div class="block">Fetches all the devices mapped to the registration center based on the
 language code</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>langCode</code> - the language code of the device</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>All the devices mapped to registration center</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MachineMappingDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/dao/LocationDAO.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dao/MachineMappingDAO.html" target="_top">Frames</a></li>
<li><a href="MachineMappingDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
